Get bonds
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetBonds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetBonds"
payload = { "identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetBonds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetBonds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetBonds"
payload := strings.NewReader("{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetBonds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetBonds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bonds": [
{
"value": {
"roll_date": "2000-01-23T04:56:07.000+00:00",
"bond_capitalisation_provision": {
"capitalisation_rates": [
2.027123023002322,
2.027123023002322
],
"capitalisation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
},
"par_value": 6.027456183070403,
"bond_day_count_convention": "actual_actual_icma",
"next_coupon_index": 5,
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"bond_extension_provision": {
"extended_maturity_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"extended_redemption_values": [
4.965218492984954,
4.965218492984954
],
"extension_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"issuer_extension": [
true,
true
]
},
"bond_coupons": [
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
},
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
}
],
"issuer": "issuer",
"bond_put_provision": null,
"settlement_lag": 1,
"coupon_rate": 5.962133916683182,
"bond_coupon_type": "fixed",
"dated_date": "2000-01-23T04:56:07.000+00:00",
"calendar": "calendar",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"redemption_rate": 2.3021358869347655,
"bond_call_provision": null,
"bond_coupon_frequency": "zero_coupon",
"issuer_id": "issuer_id",
"first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"business_day_convention": "actual",
"end_to_end": true,
"penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"debt_type": "senior"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"roll_date": "2000-01-23T04:56:07.000+00:00",
"bond_capitalisation_provision": {
"capitalisation_rates": [
2.027123023002322,
2.027123023002322
],
"capitalisation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
},
"par_value": 6.027456183070403,
"bond_day_count_convention": "actual_actual_icma",
"next_coupon_index": 5,
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"bond_extension_provision": {
"extended_maturity_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"extended_redemption_values": [
4.965218492984954,
4.965218492984954
],
"extension_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"issuer_extension": [
true,
true
]
},
"bond_coupons": [
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
},
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
}
],
"issuer": "issuer",
"bond_put_provision": null,
"settlement_lag": 1,
"coupon_rate": 5.962133916683182,
"bond_coupon_type": "fixed",
"dated_date": "2000-01-23T04:56:07.000+00:00",
"calendar": "calendar",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"redemption_rate": 2.3021358869347655,
"bond_call_provision": null,
"bond_coupon_frequency": "zero_coupon",
"issuer_id": "issuer_id",
"first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"business_day_convention": "actual",
"end_to_end": true,
"penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"debt_type": "senior"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}Get bonds
POST
/
api
/
Tradable
/
GetBonds
Get bonds
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetBonds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetBonds"
payload = { "identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetBonds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetBonds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetBonds"
payload := strings.NewReader("{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetBonds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetBonds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bonds": [
{
"value": {
"roll_date": "2000-01-23T04:56:07.000+00:00",
"bond_capitalisation_provision": {
"capitalisation_rates": [
2.027123023002322,
2.027123023002322
],
"capitalisation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
},
"par_value": 6.027456183070403,
"bond_day_count_convention": "actual_actual_icma",
"next_coupon_index": 5,
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"bond_extension_provision": {
"extended_maturity_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"extended_redemption_values": [
4.965218492984954,
4.965218492984954
],
"extension_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"issuer_extension": [
true,
true
]
},
"bond_coupons": [
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
},
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
}
],
"issuer": "issuer",
"bond_put_provision": null,
"settlement_lag": 1,
"coupon_rate": 5.962133916683182,
"bond_coupon_type": "fixed",
"dated_date": "2000-01-23T04:56:07.000+00:00",
"calendar": "calendar",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"redemption_rate": 2.3021358869347655,
"bond_call_provision": null,
"bond_coupon_frequency": "zero_coupon",
"issuer_id": "issuer_id",
"first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"business_day_convention": "actual",
"end_to_end": true,
"penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"debt_type": "senior"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"roll_date": "2000-01-23T04:56:07.000+00:00",
"bond_capitalisation_provision": {
"capitalisation_rates": [
2.027123023002322,
2.027123023002322
],
"capitalisation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
},
"par_value": 6.027456183070403,
"bond_day_count_convention": "actual_actual_icma",
"next_coupon_index": 5,
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"bond_extension_provision": {
"extended_maturity_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"extended_redemption_values": [
4.965218492984954,
4.965218492984954
],
"extension_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"issuer_extension": [
true,
true
]
},
"bond_coupons": [
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
},
{
"coup_type": "fixed",
"coupon_leg_start_date": "2000-01-23T04:56:07.000+00:00",
"coupon_index_id": "coupon_index_id",
"coupon_cap": 5.637376656633329,
"index_multiplier": 1.4658129805029452,
"coupon_leg_first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_leg_penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"coupon_floor": 5.962133916683182,
"fixed_coupon_rate": 0.8008281904610115,
"coupon_leg_end_date": "2000-01-23T04:56:07.000+00:00",
"coup_frequency": "zero_coupon",
"index_fixing_lag": 6
}
],
"issuer": "issuer",
"bond_put_provision": null,
"settlement_lag": 1,
"coupon_rate": 5.962133916683182,
"bond_coupon_type": "fixed",
"dated_date": "2000-01-23T04:56:07.000+00:00",
"calendar": "calendar",
"bond_identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"redemption_rate": 2.3021358869347655,
"bond_call_provision": null,
"bond_coupon_frequency": "zero_coupon",
"issuer_id": "issuer_id",
"first_coupon_date": "2000-01-23T04:56:07.000+00:00",
"business_day_convention": "actual",
"end_to_end": true,
"penultimate_coupon_date": "2000-01-23T04:56:07.000+00:00",
"debt_type": "senior"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?